cURL
curl --request POST \ --url https://api.avala.ai/api/v1/fleet/devices/ \ --header 'Content-Type: application/json' \ --header 'X-Avala-Api-Key: <api-key>' \ --data ' { "name": "<string>", "type": "<string>", "status": "online", "tags": [ "<string>" ], "firmware_version": "<string>", "metadata": {}, "last_seen_at": "2023-11-07T05:31:56Z" } '
{ "name": "<string>", "type": "<string>", "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "online", "tags": [ "<string>" ], "firmware_version": "<string>", "metadata": {}, "last_seen_at": "2023-11-07T05:31:56Z", "device_token": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
POST /api/v1/fleet/devices/
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
1 - 255
1 - 100
online
offline
maintenance
100
1
Was this page helpful?